## org.eclipse.m2m.atl.profiler.core
Class ASMConstants

    java.lang.Object
      org.eclipse.m2m.atl.profiler.core.ASMConstants

    public final class ASMConstants

extends java.lang.Object

ASM Operation constants.

Field Summary
`static java.lang.String` `APPLY` ASM apply operation.
`static java.lang.String` `EXEC` ASM exec operation.
`static java.lang.String` `INIT` ASM init operation.
`static java.lang.String` `MATCH` ASM match operation.
`static java.lang.String` `MATCHER` ASM matcher operation.
`static java.lang.String` `RESOLVE` ASM resolve operation.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXEC

    public static final java.lang.String EXEC

  ASM exec operation.

  See Also:
    Constant Field Values

### RESOLVE

    public static final java.lang.String RESOLVE

  ASM resolve operation.

  See Also:
    Constant Field Values

### MATCHER

    public static final java.lang.String MATCHER

  ASM matcher operation.

  See Also:
    Constant Field Values

### APPLY

    public static final java.lang.String APPLY

  ASM apply operation.

  See Also:
    Constant Field Values

### MATCH

    public static final java.lang.String MATCH

  ASM match operation.

  See Also:
    Constant Field Values

### INIT

    public static final java.lang.String INIT

  ASM init operation.

  See Also:
    Constant Field Values

Copyright 2007 IBM Corporation and others. All Rights Reserved.